std::piecewise_linear_distribution< _RealType >(3cxx)

NAME
std::piecewise_linear_distribution< _RealType > - A piecewise_linear_distribution random number distribution.

SYNOPSIS

#include <random>

  Classes

struct param_type

  Public Types

typedef _RealType result_type

  Public Member Functions

template<typename _InputIteratorB, typename _InputIteratorW> piecewise_linear_distribution (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
piecewise_linear_distribution (const param_type &__p)
template<typename _Func> piecewise_linear_distribution (initializer_list< _RealType > __bl, _Func __fw)
template<typename _Func> piecewise_linear_distribution (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator> void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator> void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator> void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
std::vector< double > densities () const
Return a vector of the probability densities of the distribution.
std::vector< _RealType > intervals () const
Return the intervals of the distribution.
result_type max () const
Returns the least upper bound value of the distribution.
result_type min () const
Returns the greatest lower bound value of the distribution.
template<typename _UniformRandomNumberGenerator> result_type operator() (_UniformRandomNumberGenerator &__urng)
Generating functions.
template<typename _UniformRandomNumberGenerator> result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
Returns the parameter set of the distribution.
void param (const param_type &__param)
Sets the parameter set of the distribution.
void reset ()

  Friends

template<typename _RealType1, typename _CharT, typename _Traits> std::basic_ostream< _CharT, _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::piecewise_linear_distribution< _RealType1 > &__x)
Inserts a piecewise_linear_distribution random number distribution __x into the output stream __os.
bool operator== (const piecewise_linear_distribution &__d1, const piecewise_linear_distribution &__d2)
Return true if two piecewise linear distributions have the same parameters.
template<typename _RealType1, typename _CharT, typename _Traits> std::basic_istream< _CharT, _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, std::piecewise_linear_distribution< _RealType1 > &__x)
Extracts a piecewise_linear_distribution random number distribution __x from the input stream __is.

Detailed Description

  template<typename _RealType = double>
class std::piecewise_linear_distribution< _RealType >"A piecewise_linear_distribution random number distribution.

This distribution produces random numbers $ x, b_0 d over each subinterval $ [b_i, b_{i+1}) $ according to the probability mass function $ p(x | b_0, ..., b_n, ho_0, ..., ho_n) = ho_i $, for $ b_i

Since
    C++11

Member Typedef Documentation

  template<typename _RealType = double> typedef _RealType std::piecewise_linear_distribution< _RealType >::result_type
The type of the range of the distribution.

Member Function Documentation

  template<typename _RealType = double> std::vector< double > std::piecewise_linear_distribution< _RealType >::densities () const [inline]

Return a vector of the probability densities of the distribution.

  template<typename _RealType = double> std::vector< _RealType > std::piecewise_linear_distribution< _RealType >::intervals () const [inline]

Return the intervals of the distribution.

  template<typename _RealType = double> result_type std::piecewise_linear_distribution< _RealType >::max () const [inline]

Returns the least upper bound value of the distribution.

  template<typename _RealType = double> result_type std::piecewise_linear_distribution< _RealType >::min () const [inline]

Returns the greatest lower bound value of the distribution.

  template<typename _RealType = double> template<typename _UniformRandomNumberGenerator> result_type std::piecewise_linear_distribution< _RealType >::operator() (_UniformRandomNumberGenerator & __urng) [inline]

Generating functions.

Referenced by operator()().

  template<typename _RealType = double> param_type std::piecewise_linear_distribution< _RealType >::param () const [inline]

Returns the parameter set of the distribution.

  template<typename _RealType = double> void std::piecewise_linear_distribution< _RealType >::param (const param_type & __param) [inline]

Sets the parameter set of the distribution.

Parameters
    __param The new parameter set of the distribution.

  template<typename _RealType = double> void std::piecewise_linear_distribution< _RealType >::reset () [inline]
Resets the distribution state.

Friends And Related Symbol Documentation

  template<typename _RealType = double> template<typename _RealType1, typename _CharT, typename _Traits> std::basic_ostream< _CharT, _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > & __os, const std::piecewise_linear_distribution< _RealType1 > & __x) [friend]

Inserts a piecewise_linear_distribution random number distribution __x into the output stream __os.

Parameters
    __os An output stream.
    __x A piecewise_linear_distribution random number distribution.

Returns
    The output stream with the state of __x inserted or in an error state.

  template<typename _RealType = double> bool operator== (const piecewise_linear_distribution< _RealType > & __d1, const piecewise_linear_distribution< _RealType > & __d2) [friend]

Return true if two piecewise linear distributions have the same parameters.

  template<typename _RealType = double> template<typename _RealType1, typename _CharT, typename _Traits> std::basic_istream< _CharT, _Traits > & operator>> (std::basic_istream< _CharT, _Traits > & __is, std::piecewise_linear_distribution< _RealType1 > & __x) [friend]

Extracts a piecewise_linear_distribution random number distribution __x from the input stream __is.

Parameters
    __is An input stream.
    __x A piecewise_linear_distribution random number generator engine.

Returns
    The input stream with __x extracted or in an error state.

Author

Generated automatically by Doxygen for libstdc++ from the source code.